petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerRead

Reads data from a PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerRead(PetscViewer viewer, void *data, PetscInt num, PetscInt *count, PetscDataType dtype)

Collective on MPI_Comm Many br

### Input Parameters

| viewer | - The viewer Many br
| data | - Location to write the data Many br
| num | - Number of items of data to read Many br
| datatype | - Type of data to read Many br

### Output Parameters

count -number of items of data actually read, or NULL Many br

Many br

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(),
VecView(), MatView(), VecLoad(), MatLoad(), PetscViewerBinaryGetDescriptor(), Many brPetscViewerBinaryGetInfoPointer(), PetscFileMode, PetscViewer Many br

Level:beginner
Location:src/sys/classes/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages